Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Cannot open Syaptic

  1. #1
    Join Date
    Jul 2009
    Location
    Yakima, Washington
    Beans
    143
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Cannot open Syaptic

    I cannot open Synaptic Package Manager. I get the following message when I try (see attached):

    Any help would be appreciated.

    Thanks.
    Attached Images Attached Images

  2. #2
    Join Date
    Mar 2010
    Beans
    Hidden!

    Re: Cannot open Syaptic

    Quote Originally Posted by techiewannabe View Post
    I cannot open Synaptic Package Manager. I get the following message when I try (see attached):

    Any help would be appreciated.

    Thanks.
    Make sure Synaptic is closed first.
    Goto System > Administration > Software Sources and goto the "Other Software" tab. If there are multiple entries for Canonical (Ticked), then detick or even remove one.
    Reload the sources on closing Software Sources by choosing the reload button.
    Try and restart Synaptic.

  3. #3
    Join Date
    Nov 2007
    Location
    Port Angeles, WA
    Beans
    300
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Cannot open Syaptic

    Go to your software sources list and remove the duplicate.
    Lucid Lynx 10.04LTS amd64 user.

  4. #4
    Join Date
    Jul 2009
    Location
    Yakima, Washington
    Beans
    143
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Cannot open Syaptic: Problem Solved (I think)!

    yetiman64 and barney35:

    Thanks for your suggestions.

    I realized, based on your suggestions, that one of the software sources was a duplicate. I deleted that duplicate. However, I did get the following message when I tried to update. (Please see the attached image.) Is it related to this problem or should I create a new thread?

    techiewannabe

  5. #5
    Join Date
    Mar 2010
    Beans
    Hidden!

    Re: Cannot open Syaptic

    ...Is it related to this problem or should I create a new thread?
    Sounds like a continuation of the first problem and is probably better left in this thread.

    Try
    Code:
    sudo apt-get update && sudo apt-get upgrade
    in a terminal and post back if it shows any errors. Code is just an update done in terminal and may reset or affect the file mentioned in the error listed. If no errors occur try reopening Synaptic then.
    Last edited by yetiman64; October 3rd, 2010 at 03:32 AM. Reason: fixed code and again sorry

  6. #6
    Join Date
    Jul 2009
    Location
    Yakima, Washington
    Beans
    143
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Cannot open Syaptic

    yetiman64:
    Thanks for your note.
    Here is what I got when I cut and pasted your commands to the terminal.

    mountlings@mountlings-compaq-laptop:~$ sudo apt-get update && sudo apt get upgrade
    Hit http://archive.ubuntu.com jaunty Release.gpg
    Ign http://archive.ubuntu.com jaunty/main Translation-en_US
    Ign http://archive.ubuntu.com jaunty/universe Translation-en_US
    Hit http://security.ubuntu.com jaunty-security Release.gpg
    Ign http://security.ubuntu.com jaunty-security/universe Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/main Translation-en_US
    Hit http://archive.canonical.com jaunty Release.gpg
    Ign http://archive.canonical.com jaunty/partner Translation-en_US
    Ign http://archive.ubuntu.com jaunty/restricted Translation-en_US
    Ign http://archive.ubuntu.com jaunty/multiverse Translation-en_US
    Hit http://archive.ubuntu.com jaunty-updates Release.gpg
    Ign http://archive.ubuntu.com jaunty-updates/universe Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/main Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/multiverse Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/multiverse Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/restricted Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/restricted Translation-en_US
    Hit http://security.ubuntu.com jaunty-security Release
    Hit http://archive.canonical.com jaunty Release
    Hit http://archive.ubuntu.com jaunty Release
    Hit http://archive.ubuntu.com jaunty-updates Release
    Hit http://security.ubuntu.com jaunty-security/universe Packages
    Hit http://archive.canonical.com jaunty/partner Sources
    Hit http://archive.ubuntu.com jaunty/main Packages
    Hit http://archive.ubuntu.com jaunty/universe Packages
    Hit http://archive.ubuntu.com jaunty/restricted Packages
    Hit http://archive.ubuntu.com jaunty/multiverse Packages
    Hit http://security.ubuntu.com jaunty-security/main Packages
    Hit http://security.ubuntu.com jaunty-security/multiverse Packages
    Hit http://security.ubuntu.com jaunty-security/restricted Packages
    Hit http://archive.canonical.com jaunty/partner Packages
    Hit http://archive.ubuntu.com jaunty-updates/universe Packages
    Hit http://archive.ubuntu.com jaunty-updates/main Packages
    Hit http://archive.ubuntu.com jaunty-updates/multiverse Packages
    Hit http://archive.ubuntu.com jaunty-updates/restricted Packages
    Reading package lists... Done
    sudo: apt: command not found
    mountlings@mountlings-compaq-laptop:~$
    Thanks.

  7. #7
    Join Date
    Mar 2010
    Beans
    Hidden!

    Re: Cannot open Syaptic

    Code:
    Quote Originally Posted by techiewannabe View Post
    yetiman64: Thanks for your note. Here is what I got when I cut and pasted your commands to the terminal.
    mountlings@mountlings-compaq-laptop:~$ sudo apt-get update && sudo apt get upgrade Hit http://archive.ubuntu.com jaunty Release.gpg Ign http://archive.ubuntu.com jaunty/main Translation-en_US Ign http://archive.ubuntu.com jaunty/universe Translation-en_US Hit http://security.ubuntu.com jaunty-security Release.gpg Ign http://security.ubuntu.com jaunty-security/universe Translation-en_US Ign http://security.ubuntu.com jaunty-security/main Translation-en_US Hit http://archive.canonical.com jaunty Release.gpg Ign http://archive.canonical.com jaunty/partner Translation-en_US Ign http://archive.ubuntu.com jaunty/restricted Translation-en_US Ign http://archive.ubuntu.com jaunty/multiverse Translation-en_US Hit http://archive.ubuntu.com jaunty-updates Release.gpg Ign http://archive.ubuntu.com jaunty-updates/universe Translation-en_US Ign http://archive.ubuntu.com jaunty-updates/main Translation-en_US Ign http://archive.ubuntu.com jaunty-updates/multiverse Translation-en_US Ign http://security.ubuntu.com jaunty-security/multiverse Translation-en_US Ign http://security.ubuntu.com jaunty-security/restricted Translation-en_US Ign http://archive.ubuntu.com jaunty-updates/restricted Translation-en_US Hit http://security.ubuntu.com jaunty-security Release Hit http://archive.canonical.com jaunty Release Hit http://archive.ubuntu.com jaunty Release Hit http://archive.ubuntu.com jaunty-updates Release Hit http://security.ubuntu.com jaunty-security/universe Packages Hit http://archive.canonical.com jaunty/partner Sources Hit http://archive.ubuntu.com jaunty/main Packages Hit http://archive.ubuntu.com jaunty/universe Packages Hit http://archive.ubuntu.com jaunty/restricted Packages Hit http://archive.ubuntu.com jaunty/multiverse Packages Hit http://security.ubuntu.com jaunty-security/main Packages Hit http://security.ubuntu.com jaunty-security/multiverse Packages Hit http://security.ubuntu.com jaunty-security/restricted Packages Hit http://archive.canonical.com jaunty/partner Packages Hit http://archive.ubuntu.com jaunty-updates/universe Packages Hit http://archive.ubuntu.com jaunty-updates/main Packages Hit http://archive.ubuntu.com jaunty-updates/multiverse Packages Hit http://archive.ubuntu.com jaunty-updates/restricted Packages Reading package lists... Done sudo: apt: command not found mountlings@mountlings-compaq-laptop:~$
    Thanks.
    Sorry the 2nd part of the code was wrong, can you try it again please, also it's good if you can wrap long output in code tags, thanks.

    Edit: command should have been "apt-get" not "apt get" or "apt get-upgrade"
    Last edited by yetiman64; October 3rd, 2010 at 03:35 AM. Reason: more info

  8. #8
    Join Date
    Jul 2009
    Location
    Yakima, Washington
    Beans
    143
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Cannot open Syaptic

    Thanks yetiman64:

    The problem continues. Here is the text that I received. (I'm not sure that I edited your command correctly.)

    mountlings@mountlings-compaq-laptop:~$ sudo apt-get update && sudo apt-get
    Hit http://archive.ubuntu.com jaunty Release.gpg
    Ign http://archive.ubuntu.com jaunty/main Translation-en_US
    Ign http://archive.ubuntu.com jaunty/universe Translation-en_US
    Hit http://security.ubuntu.com jaunty-security Release.gpg
    Ign http://security.ubuntu.com jaunty-security/universe Translation-en_US
    Hit http://archive.canonical.com jaunty Release.gpg
    Ign http://archive.canonical.com jaunty/partner Translation-en_US
    Ign http://archive.ubuntu.com jaunty/restricted Translation-en_US
    Ign http://archive.ubuntu.com jaunty/multiverse Translation-en_US
    Hit http://archive.ubuntu.com jaunty-updates Release.gpg
    Ign http://archive.ubuntu.com jaunty-updates/universe Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/main Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/multiverse Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/restricted Translation-en_US
    Hit http://archive.ubuntu.com jaunty Release
    Ign http://security.ubuntu.com jaunty-security/main Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/multiverse Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/restricted Translation-en_US
    Hit http://security.ubuntu.com jaunty-security Release
    Hit http://archive.canonical.com jaunty Release
    Hit http://archive.ubuntu.com jaunty-updates Release
    Hit http://security.ubuntu.com jaunty-security/universe Packages
    Hit http://archive.ubuntu.com jaunty/main Packages
    Hit http://archive.ubuntu.com jaunty/universe Packages
    Hit http://archive.ubuntu.com jaunty/restricted Packages
    Hit http://archive.ubuntu.com jaunty/multiverse Packages
    Hit http://security.ubuntu.com jaunty-security/main Packages
    Hit http://security.ubuntu.com jaunty-security/multiverse Packages
    Hit http://security.ubuntu.com jaunty-security/restricted Packages
    Hit http://archive.canonical.com jaunty/partner Sources
    Hit http://archive.ubuntu.com jaunty-updates/universe Packages
    Hit http://archive.ubuntu.com jaunty-updates/main Packages
    Hit http://archive.ubuntu.com jaunty-updates/multiverse Packages
    Hit http://archive.ubuntu.com jaunty-updates/restricted Packages
    Hit http://archive.canonical.com jaunty/partner Packages
    Reading package lists... Done
    apt 0.7.20.2ubuntu6 for i386 compiled on Apr 17 2009 04:25:29
    Usage: apt-get [options] command
    apt-get [options] install|remove pkg1 [pkg2 ...]
    apt-get [options] source pkg1 [pkg2 ...]

    apt-get is a simple command line interface for downloading and
    installing packages. The most frequently used commands are update
    and install.

    Commands:
    update - Retrieve new lists of packages
    upgrade - Perform an upgrade
    install - Install new packages (pkg is libc6 not libc6.deb)
    remove - Remove packages
    autoremove - Remove automatically all unused packages
    purge - Remove packages and config files
    source - Download source archives
    build-dep - Configure build-dependencies for source packages
    dist-upgrade - Distribution upgrade, see apt-get(8)
    dselect-upgrade - Follow dselect selections
    clean - Erase downloaded archive files
    autoclean - Erase old downloaded archive files
    check - Verify that there are no broken dependencies

    Options:
    -h This help text.
    -q Loggable output - no progress indicator
    -qq No output except for errors
    -d Download only - do NOT install or unpack archives
    -s No-act. Perform ordering simulation
    -y Assume Yes to all queries and do not prompt
    -f Attempt to correct a system with broken dependencies in place
    -m Attempt to continue if archives are unlocatable
    -u Show a list of upgraded packages as well
    -b Build the source package after fetching it
    -V Show verbose version numbers
    -c=? Read this configuration file
    -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp
    See the apt-get(8), sources.list(5) and apt.conf(5) manual
    pages for more information and options.
    This APT has Super Cow Powers.
    mountlings@mountlings-compaq-laptop:~$


    I appreciate your help.

    By the way, where in Queensland do you live? I used to live in Melbourne. I love the land down under!

    Techiewannabe

  9. #9
    Join Date
    Mar 2010
    Beans
    Hidden!

    Re: Cannot open Syaptic

    Quote Originally Posted by techiewannabe View Post
    Thanks yetiman64:

    The problem continues. Here is the text that I received. (I'm not sure that I edited your command correctly.)...

    I appreciate your help.
    By the way, where in Queensland do you live? I used to live in Melbourne. I love the land down under!

    Techiewannabe

    Not quite, should be "sudo apt-get update && sudo apt-get upgrade" (without the quotes), note, just copy and paste from the original post with this code in, as I fixed it with an edit and is much more accurate for you, when I actually get the code right that is .

    <off topic>
    No worries Techiewannabe (or should I say Hakuna Matata )
    In the Far North of the state just south of Cairns - Yeah not a bad spot .</offtopic>

  10. #10
    Join Date
    Jul 2009
    Location
    Yakima, Washington
    Beans
    143
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Cannot open Syaptic

    yetiman64:

    Here are the results of the commands:

    PHP Code:
    mountlings@mountlings-compaq-laptop:~$ sudo apt-get update && sudo apt-get upgrade
    [sudopassword for mountlings
    Hit http://archive.ubuntu.com jaunty Release.gpg
    Ign http://archive.ubuntu.com jaunty/main Translation-en_US
    Hit http://archive.canonical.com jaunty Release.gpg
    Ign http://archive.canonical.com jaunty/partner Translation-en_US
    Hit http://security.ubuntu.com jaunty-security Release.gpg
    Ign http://security.ubuntu.com jaunty-security/universe Translation-en_US
    Ign http://archive.ubuntu.com jaunty/universe Translation-en_US      
    Ign http://archive.ubuntu.com jaunty/restricted Translation-en_US    
    Ign http://archive.ubuntu.com jaunty/multiverse Translation-en_US
    Hit http://archive.ubuntu.com jaunty-updates Release.gpg
    Ign http://archive.ubuntu.com jaunty-updates/universe Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/main Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/multiverse Translation-en_US
    Ign http://archive.ubuntu.com jaunty-updates/restricted Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/main Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/multiverse Translation-en_US
    Ign http://security.ubuntu.com jaunty-security/restricted Translation-en_US
    Hit http://archive.canonical.com jaunty Release                      
    Hit http://security.ubuntu.com jaunty-security Release               
    Hit http://archive.ubuntu.com jaunty Release                        
    Hit http://archive.ubuntu.com jaunty-updates Release                 
    Hit http://archive.canonical.com jaunty/partner Sources              
    Hit http://security.ubuntu.com jaunty-security/universe Packages     
    Hit http://archive.ubuntu.com jaunty/main Packages                   
    Hit http://archive.ubuntu.com jaunty/universe Packages               
    Hit http://archive.ubuntu.com jaunty/restricted Packages             
    Hit http://archive.ubuntu.com jaunty/multiverse Packages             
    Hit http://archive.canonical.com jaunty/partner Packages 
    Hit http://security.ubuntu.com jaunty-security/main Packages
    Hit http://security.ubuntu.com jaunty-security/multiverse Packages
    Hit http://security.ubuntu.com jaunty-security/restricted Packages
    Hit http://archive.ubuntu.com jaunty-updates/universe Packages
    Hit http://archive.ubuntu.com jaunty-updates/main Packages
    Hit http://archive.ubuntu.com jaunty-updates/multiverse Packages
    Hit http://archive.ubuntu.com jaunty-updates/restricted Packages
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be upgraded:
    adobe-flashplugin avahi-autoipd avahi-daemon avahi-utils bzip2 dpkg
    fglrx-modaliases libavahi-client3 libavahi-common-data libavahi-common3
    libavahi-compat-libdnssd1 libavahi-core5 libavahi-glib1 libavahi-gobject0
    libavahi-ui0 libbz2-1.0 libgdiplus libssl0.9.8 openssl
    19 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    4 not fully installed or removed.
    Need to get 0B/11.3MB of archives.
    After this operation, 16.4kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Preconfiguring packages ...
    dpkg: failed in buffer_read(fd): copy info file `/var/lib/dpkg/available': Input/output error
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    mountlings@mountlings-compaq-laptop:~$

    Thanks for your help.

    <off topic: Yes, mate, you're in a great spot near Cairns!>

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •